Add viewdeleted privileges to the checkuser and oversight permissions group on en.wiki
Closed, ResolvedPublic

Description

Author: xenowiki

Description:
Please add the "browserarchive", "deletedhistory", and "deletedtext" rights to the checkuser and oversight permissions bundles on en.wiki.

'groupOverrides' => array(

'enwiki' => array(
   ..
   'oversight' => array( 'browsearchive' => true, 'deletedhistory' => true, 'deletedtext' => true ),
   'checkuser' => array( 'browsearchive' => true, 'deletedhistory' => true, 'deletedtext' => true ),
 ),

This change is unanimously supported by the English Wikipedia Arbitration Committee (https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Wikipedia:Arbitration_Committee/Noticeboard&oldid=422697239#Changes_requested_to_the_checkuser_and_oversight_permissions).


Version: unspecified
Severity: enhancement
URL: https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Wikipedia:Arbitration_Committee/Noticeboard&oldid=422697239#Changes_requested_to_the_checkuser_and_oversight_permissions

bzimport set Reference to bz28440.
bzimport created this task.Via LegacyApr 6 2011, 2:23 PM
Cenarium added a comment.Via ConduitApr 7 2011, 4:14 PM

Why has there been no open community discussion on this ?

The ArbCom has been delegated the authority to oversee the use of CU and OS permissions, this does not extend to changing those permissions. Changing the permissions affected to a usergroup should be a community decision. I wouldn't mind if this were uncontroversial, but there has been objections (as seen on the talk page).

Please wait that it is clear that the community actually supports this.

bzimport added a comment.Via ConduitApr 9 2011, 1:20 AM

slimvirgin wrote:

I would also request that this not be done unless there's community consensus, because it's not clear what the benefits are, and there are arguably serious drawbacks. There's a discussion currently going on [http://en.wikipedia.org/wiki/Wikipedia_talk:Arbitration_Committee/Noticeboard#Changes_requested_to_the_checkuser_and_oversight_permissions here].

Catrope added a comment.Via ConduitApr 11 2011, 11:19 AM

(In reply to comment #1)

Why has there been no open community discussion on this ?

The ArbCom has been delegated the authority to oversee the use of CU and OS
permissions, this does not extend to changing those permissions. Changing the
permissions affected to a usergroup should be a community decision. I wouldn't
mind if this were uncontroversial, but there has been objections (as seen on
the talk page).

Please wait that it is clear that the community actually supports this.

No community consensus --> WONTFIX

This bug can be reopened if and when there is consensus.

bzimport added a comment.Via ConduitApr 13 2011, 8:42 PM

svenmanguard wrote:

http://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Make_userrights_self-sufficient

Massive consensus developed rapidly for deletedhistory, deletedtext, and browsearchive rights for oversighters and checkusers (54-3 and 56-2 respectively at the time of this writing)

Strong support for move-subpages, suppressredirect, and tboverride rights for 'crats (42-3 at this time)

Deadlocked on the deletedhistory, deletedtext, and browsearchive rights for 'crats (25-19)

Reopened per consensus on three of the four being achieved and the fourth being stalemated. You could still wait, but at this point I don't think the consensuses will change.

bzimport added a comment.Via ConduitApr 13 2011, 8:48 PM

xenowiki wrote:

I had planned to wait at least a week before re-opening, but I agree that there is indeed runaway support for the bug to be fixed as originally requested.

The bureaucrat items should be addressed separately, at Bug 25752

bzimport added a comment.Via ConduitApr 24 2011, 1:35 AM

svenmanguard wrote:

It's now been over a week. Participation has dropped off, and I can't forsee a situation where it would suddenly shift. Consensus for deletedhistory, deletedtext, and browsearchive rights for oversighters and checkusers stands at 76-3 and 71-3 respectively.

I think it's safe to wrap this up.

Sven.

bzimport added a comment.Via ConduitJun 16 2011, 6:37 PM

pdhanda wrote:

Added "browserarchive", "deletedhistory", and "deletedtext" rights to checkuser and oversight.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.